/**
 * Available loader indicator names for LoaderKit
 */
export type CommonIndicatorName = 'BallPulse' | 'BallGridPulse' | 'BallClipRotate' | 'SquareSpin' | 'BallClipRotatePulse' | 'BallClipRotateMultiple' | 'BallPulseRise' | 'BallRotate' | 'CubeTransition' | 'BallZigZag' | 'BallZigZagDeflect' | 'BallTrianglePath' | 'BallScale' | 'LineScale' | 'LineScaleParty' | 'BallScaleMultiple' | 'BallPulseSync' | 'BallBeat' | 'LineScalePulseOut' | 'LineScalePulseOutRapid' | 'BallScaleRipple' | 'BallScaleRippleMultiple' | 'BallSpinFadeLoader' | 'LineSpinFadeLoader' | 'TriangleSkewSpin' | 'Pacman' | 'BallGridBeat' | 'SemiCircleSpin' | 'Orbit' | 'AudioEqualizer' | 'BallDoubleBounce';
export type IOSOnlyIndicatorName = 'BallRotateChase' | 'CircleStrokeSpin';
export type IndicatorName = CommonIndicatorName | IOSOnlyIndicatorName;
/**
 * Helper arrays for runtime checks and platform detection
 */
export declare const COMMON_INDICATORS: readonly CommonIndicatorName[];
export declare const IOS_ONLY_INDICATORS: readonly IOSOnlyIndicatorName[];
export declare const ALL_INDICATORS: readonly IndicatorName[];
/**
 * Type guard to check if an indicator is available on the current platform
 */
export declare const isIndicatorAvailableOnPlatform: (indicator: IndicatorName, platform: "ios" | "android") => boolean;
/**
 * Get all available indicators for a specific platform
 */
export declare const getAvailableIndicators: (platform: "ios" | "android") => readonly IndicatorName[];
//# sourceMappingURL=types.d.ts.map